//
//  UMCNAM_Transaction.h
//  
//
//  Created by Andreas Fink on 08.04.16.
//
//

#import <ulib/ulib.h>
#import <ulibtcap/ulibtcap.h>

@interface UMCNAM_Transaction : UMObject
{
    NSString *transactionId;
    NSString *msisdn;
    NSDate *startTime;
    UMHTTPRequest *req;
    UMLayerTCAP *tcap;
}

@property(readwrite,strong) NSString *transactionId;
@property(readwrite,strong) NSString *msisdn;
@property(readwrite,strong) NSDate *startTime;
@property(readwrite,strong) UMHTTPRequest *req;
@property(readwrite,strong) UMLayerTCAP *tcap;

- (UMCNAM_Transaction *)initWithMsisdn:(NSString *)m
                                   req:(UMHTTPRequest *)r
                                  tcap:(UMLayerTCAP *)tcap;
- (void)start;

@end
