//
//  UMCNAM_request.h
//  tcap-tester
//
//  Created by Andreas Fink on 05.04.16.
//  Copyright © 2017 Andreas Fink (andreas@fink.org). All rights reserved.
//

#import <ulib/ulib.h>
#import <ulibtcap/ulibtcap.h>

@class UMLayerCNAM;

@interface UMCNAM_request : UMLayerTask
{
    NSString *msisdn;
    UMLayerCNAM *cnam;
    SccpAddress *calling;
    SccpAddress *called;
    id user;
    NSString *userDialogId;
}


- (UMCNAM_request *)initForCnam:(UMLayerCNAM *)xcnam
                   userDialogId:(NSString *)xuserDialog
                           user:(id)cnamUser
                         msisdn:(NSString *)xmsisdn
                        calling:(SccpAddress *)src
                         called:(SccpAddress *)dst;

@end
